- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_ctx.h File Reference

`#include <axis2_defines.h>`
`#include <axutil_hash.h>`
`#include <axutil_env.h>`
`#include <axutil_property.h>`

Go to the source code of this file.

## Typedefs
typedef struct axis2_ctx | axis2_ctx_t
## Functions
AXIS2_EXTERN axis2_ctx_t * | axis2_ctx_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_ctx_set_property (struct axis2_ctx *ctx, const axutil_env_t *env, const axis2_char_t *key, axutil_property_t *value)
AXIS2_EXTERN axutil_property_t * | axis2_ctx_get_property (const axis2_ctx_t *ctx, const axutil_env_t *env, const axis2_char_t *key)
AXIS2_EXTERN axutil_hash_t * | axis2_ctx_get_property_map (const axis2_ctx_t *ctx, const axutil_env_t *env)
AXIS2_EXTERN axutil_hash_t * | axis2_ctx_get_all_properties (const axis2_ctx_t *ctx, const axutil_env_t *env)
AXIS2_EXTERN void | axis2_ctx_free (axis2_ctx_t *ctx, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_ctx_set_property_map (struct axis2_ctx *ctx, const axutil_env_t *env, axutil_hash_t *map)

## Detailed Description